Bug 854360 - Remove Requires: ceph
Remove Requires: ceph
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-04 14:08 EDT by Adam Jackson
Modified: 2012-09-18 16:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-18 16:02:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-09-04 14:08:52 EDT
I don't think libvirt-daemon actually requires the whole ceph package.  From a quick read of the source it doesn't look like it execs any of the command-line tools.  As of F18 (bug #812975) the ceph libraries and apps are packaged separately, and rpm's ELF logic will pick up the libraries as needed anyway.

The 'ceph' package itself is about 25M installed, which is rather a lot on size-constrained media like a live image.

Would it be possible to remove the explicit Requires: ceph from the spec?
Comment 1 Daniel Berrange 2012-09-05 03:44:05 EDT
Correct, we only rely on librbd.so, which RPM should automagically pull in for us, so no objection to removing the explicit 'Requires: ceph'.
Comment 2 Daniel Berrange 2012-09-05 06:00:25 EDT
Pushed a fix upstream

commit 8386b304b0f16db4e88ddf1eca50b84a465eff80
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Sep 5 08:58:50 2012 +0100

    Remove explicit dependency on ceph RPM
    The libvirt storage driver uses librbd.so for its functionality.
    RPM will automatically add a dependency on the library, so there
    is no need to have an explicit dependency on the ceph RPM itself.
    This allows newer Fedora distros to avoid pulling in the huge
    ceph RPM, in favour of just having the libraries installed

copying into Fedora shortly....
Comment 3 Fedora Update System 2012-09-12 09:29:42 EDT
libvirt-0.10.1-2.fc18 has been submitted as an update for Fedora 18.
Comment 4 Fedora Update System 2012-09-12 15:11:36 EDT
Package libvirt-0.10.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.10.1-2.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-18 16:02:07 EDT
libvirt-0.10.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.